<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:14 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.metabolic.Reaction
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.metabolic.Reaction";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/metabolic/class-use/Reaction.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Reaction.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.metabolic.Reaction</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic"><B>ch.javasoft.metabolic</B></A></TD>
<TD>The <tt>metabolic</tt> package contains interfaces for metabolic networks; 
subpackages contain default implementations or interfaces and helper classes
related to such networks.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.compartment"><B>ch.javasoft.metabolic.compartment</B></A></TD>
<TD>The <tt>compartment</tt> subpackage contains implementations for 
compartmentalized <A HREF="../../../../ch/javasoft/metabolic/package-summary.html"><CODE>metabolic</CODE></A> networks.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.compress"><B>ch.javasoft.metabolic.compress</B></A></TD>
<TD>The <tt>compress</tt> package and subpackages contain classes implementing 
compression strategies and consistency validation for metabolic networks.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.config"><B>ch.javasoft.metabolic.efm.config</B></A></TD>
<TD>The <tt>config</tt> subpackage provides interfaces suited to control (configure)
the EFM computation process.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.util"><B>ch.javasoft.metabolic.efm.util</B></A></TD>
<TD>The <tt>util</tt> package contains utility and helper classes for different
aspects and parts of the <A HREF="../../../../ch/javasoft/metabolic/efm/package-summary.html"><CODE>efm</CODE></A> packages, that 
is, for the computation of elementary modes (EFMs) for 
<A HREF="../../../../ch/javasoft/metabolic/package-summary.html"><CODE>metabolic</CODE></A> networks.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.generate"><B>ch.javasoft.metabolic.generate</B></A></TD>
<TD>The <tt>generate</tt> package contains classes supporting the generation of
different output formats for metabolic networks.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.impl"><B>ch.javasoft.metabolic.impl</B></A></TD>
<TD>The <tt>impl</tt> subpackage contains implementations for the interfaces of the
<A HREF="../../../../ch/javasoft/metabolic/package-summary.html"><CODE>metabolite</CODE></A> package.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.util"><B>ch.javasoft.metabolic.util</B></A></TD>
<TD>The <tt>util</tt> subpackage contains utility classes related to
<A HREF="../../../../ch/javasoft/metabolic/package-summary.html"><CODE>metabolic</CODE></A> networks.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A> in <A HREF="../../../../ch/javasoft/metabolic/package-summary.html">ch.javasoft.metabolic</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/metabolic/package-summary.html">ch.javasoft.metabolic</A> that return <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></CODE></FONT></TD>
<TD><CODE><B>MetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/MetabolicNetwork.html#getReaction(java.lang.String)">getReaction</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;returns the desired reaction, or throws an IllegalArgumentException
 if no reaction exists with the given name</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/metabolic/package-summary.html">ch.javasoft.metabolic</A> that return types with arguments of type <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>MetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/MetabolicNetwork.html#getReactions()">getReactions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the list of all reactions</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>MetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/MetabolicNetwork.html#getReactions(ch.javasoft.metabolic.Metabolite)">getReactions</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>&nbsp;metabolite)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;returns the reactions in which the given metabolite participates, either
 as product or as educt.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/metabolic/package-summary.html">ch.javasoft.metabolic</A> with parameters of type <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A></CODE></FONT></TD>
<TD><CODE><B>FluxDistribution.</B><B><A HREF="../../../../ch/javasoft/metabolic/FluxDistribution.html#getNumberRate(ch.javasoft.metabolic.Reaction)">getNumberRate</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reaction)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the rate as a number, number type is defined by data type of
 this flux distribution, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>FluxDistribution.</B><B><A HREF="../../../../ch/javasoft/metabolic/FluxDistribution.html#getReactionIndex(ch.javasoft.metabolic.Reaction)">getReactionIndex</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reaction)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the index at which the flux value will be found for the given
 reaction, or -1 if no such reaction belongs to the network of this
 flux distribution</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FluxDistribution.</B><B><A HREF="../../../../ch/javasoft/metabolic/FluxDistribution.html#setRate(ch.javasoft.metabolic.Reaction, java.lang.Number)">setRate</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reaction,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&nbsp;rate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set the rate for the specified reaction.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>MetabolicNetworkVisitor.</B><B><A HREF="../../../../ch/javasoft/metabolic/MetabolicNetworkVisitor.html#visitReaction(ch.javasoft.metabolic.Reaction)">visitReaction</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reaction)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.compartment"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A> in <A HREF="../../../../ch/javasoft/metabolic/compartment/package-summary.html">ch.javasoft.metabolic.compartment</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../ch/javasoft/metabolic/compartment/package-summary.html">ch.javasoft.metabolic.compartment</A> that implement <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/metabolic/compartment/CompartmentReaction.html" title="class in ch.javasoft.metabolic.compartment">CompartmentReaction</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../ch/javasoft/metabolic/compartment/package-summary.html">ch.javasoft.metabolic.compartment</A> with parameters of type <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/metabolic/compartment/CompartmentMetabolicNetwork.html#CompartmentMetabolicNetwork(ch.javasoft.metabolic.Metabolite[], ch.javasoft.metabolic.Reaction[])">CompartmentMetabolicNetwork</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>[]&nbsp;metabolites,
                                                       <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>[]&nbsp;reactions)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.compress"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A> in <A HREF="../../../../ch/javasoft/metabolic/compress/package-summary.html">ch.javasoft.metabolic.compress</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/metabolic/compress/package-summary.html">ch.javasoft.metabolic.compress</A> that return types with arguments of type <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>StoichMatrixCompressedMetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/compress/StoichMatrixCompressedMetabolicNetwork.html#getMappedReactions(java.util.List)">getMappedReactions</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;&nbsp;original)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CompressedMetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/compress/CompressedMetabolicNetwork.html#getMappedReactions(java.util.List)">getMappedReactions</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;&nbsp;original)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the mapped possibly compressed/composite reactions in the
 same order as in the input list.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Method parameters in <A HREF="../../../../ch/javasoft/metabolic/compress/package-summary.html">ch.javasoft.metabolic.compress</A> with type arguments of type <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>StoichMatrixCompressedMetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/compress/StoichMatrixCompressedMetabolicNetwork.html#getMappedReactions(java.util.List)">getMappedReactions</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;&nbsp;original)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CompressedMetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/compress/CompressedMetabolicNetwork.html#getMappedReactions(java.util.List)">getMappedReactions</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;&nbsp;original)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the mapped possibly compressed/composite reactions in the
 same order as in the input list.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.config"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A> in <A HREF="../../../../ch/javasoft/metabolic/efm/config/package-summary.html">ch.javasoft.metabolic.efm.config</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/metabolic/efm/config/package-summary.html">ch.javasoft.metabolic.efm.config</A> with parameters of type <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>Generator.</B><B><A HREF="../../../../ch/javasoft/metabolic/efm/config/Generator.html#splitReaction(ch.javasoft.metabolic.Reaction)">splitReaction</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reac)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if this reaction is to split, without considering no-split
 reactions from the config.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.util"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A> in <A HREF="../../../../ch/javasoft/metabolic/efm/util/package-summary.html">ch.javasoft.metabolic.efm.util</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/metabolic/efm/util/package-summary.html">ch.javasoft.metabolic.efm.util</A> with parameters of type <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>ReactionMapping.</B><B><A HREF="../../../../ch/javasoft/metabolic/efm/util/ReactionMapping.html#isSplitReaction(ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.MetabolicNetwork, ch.javasoft.metabolic.Reaction)">isSplitReaction</A></B>(<A HREF="../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                               <A HREF="../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A>&nbsp;cmpNet,
                               <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reaction)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if this reaction is split in the expanded stoichiometric 
 matrix.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.generate"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A> in <A HREF="../../../../ch/javasoft/metabolic/generate/package-summary.html">ch.javasoft.metabolic.generate</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/metabolic/generate/package-summary.html">ch.javasoft.metabolic.generate</A> with parameters of type <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>SbmlGenerator.CompartmentHandler.</B><B><A HREF="../../../../ch/javasoft/metabolic/generate/SbmlGenerator.CompartmentHandler.html#exportReaction(ch.javasoft.metabolic.Reaction)">exportReaction</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reac)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>SbmlGenerator.DefaultCompartmentHandler.</B><B><A HREF="../../../../ch/javasoft/metabolic/generate/SbmlGenerator.DefaultCompartmentHandler.html#exportReaction(ch.javasoft.metabolic.Reaction)">exportReaction</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reac)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>SbmlGenerator.CompartmentMetabolicNetworkHandler.</B><B><A HREF="../../../../ch/javasoft/metabolic/generate/SbmlGenerator.CompartmentMetabolicNetworkHandler.html#exportReaction(ch.javasoft.metabolic.Reaction)">exportReaction</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reac)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/metabolic/compartment/CompartmentMetabolite.html" title="class in ch.javasoft.metabolic.compartment">CompartmentMetabolite</A></CODE></FONT></TD>
<TD><CODE><B>SbmlGenerator.CompartmentHandler.</B><B><A HREF="../../../../ch/javasoft/metabolic/generate/SbmlGenerator.CompartmentHandler.html#externalReactionMetabolite(ch.javasoft.metabolic.Reaction)">externalReactionMetabolite</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reac)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/metabolic/compartment/CompartmentMetabolite.html" title="class in ch.javasoft.metabolic.compartment">CompartmentMetabolite</A></CODE></FONT></TD>
<TD><CODE><B>SbmlGenerator.DefaultCompartmentHandler.</B><B><A HREF="../../../../ch/javasoft/metabolic/generate/SbmlGenerator.DefaultCompartmentHandler.html#externalReactionMetabolite(ch.javasoft.metabolic.Reaction)">externalReactionMetabolite</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reac)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/metabolic/compartment/CompartmentMetabolite.html" title="class in ch.javasoft.metabolic.compartment">CompartmentMetabolite</A></CODE></FONT></TD>
<TD><CODE><B>SbmlGenerator.CompartmentMetabolicNetworkHandler.</B><B><A HREF="../../../../ch/javasoft/metabolic/generate/SbmlGenerator.CompartmentMetabolicNetworkHandler.html#externalReactionMetabolite(ch.javasoft.metabolic.Reaction)">externalReactionMetabolite</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reac)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A> in <A HREF="../../../../ch/javasoft/metabolic/impl/package-summary.html">ch.javasoft.metabolic.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../ch/javasoft/metabolic/impl/package-summary.html">ch.javasoft.metabolic.impl</A> that implement <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/metabolic/impl/AbstractNamedReaction.html" title="class in ch.javasoft.metabolic.impl">AbstractNamedReaction</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/metabolic/impl/AbstractNestedReaction.html" title="class in ch.javasoft.metabolic.impl">AbstractNestedReaction</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/metabolic/impl/AbstractReaction.html" title="class in ch.javasoft.metabolic.impl">AbstractReaction</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/metabolic/impl/DefaultReaction.html" title="class in ch.javasoft.metabolic.impl">DefaultReaction</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/metabolic/impl/NormalizedRatiosReaction.html" title="class in ch.javasoft.metabolic.impl">NormalizedRatiosReaction</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../../ch/javasoft/metabolic/impl/package-summary.html">ch.javasoft.metabolic.impl</A> declared as <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></CODE></FONT></TD>
<TD><CODE><B>AbstractNestedReaction.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/AbstractNestedReaction.html#mNestedReaction">mNestedReaction</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/metabolic/impl/package-summary.html">ch.javasoft.metabolic.impl</A> that return <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></CODE></FONT></TD>
<TD><CODE><B>AbstractMetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/AbstractMetabolicNetwork.html#getReaction(java.lang.String)">getReaction</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></CODE></FONT></TD>
<TD><CODE><B>FractionNumberStoichMetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/FractionNumberStoichMetabolicNetwork.html#getReaction(java.lang.String)">getReaction</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/metabolic/impl/package-summary.html">ch.javasoft.metabolic.impl</A> that return types with arguments of type <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>FilteredMetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/FilteredMetabolicNetwork.html#getReactions()">getReactions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>StoichMatrixMetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/StoichMatrixMetabolicNetwork.html#getReactions()">getReactions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultMetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/DefaultMetabolicNetwork.html#getReactions()">getReactions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ConstrainedReversibilitiesMetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/ConstrainedReversibilitiesMetabolicNetwork.html#getReactions()">getReactions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>FractionNumberStoichMetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/FractionNumberStoichMetabolicNetwork.html#getReactions()">getReactions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;? extends <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>AbstractMetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/AbstractMetabolicNetwork.html#getReactions(ch.javasoft.metabolic.Metabolite)">getReactions</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>&nbsp;metabolite)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/metabolic/impl/package-summary.html">ch.javasoft.metabolic.impl</A> with parameters of type <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FilteredMetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/FilteredMetabolicNetwork.html#excludeReaction(ch.javasoft.metabolic.Reaction)">excludeReaction</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reaction)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B>FractionNumberFluxDistribution.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/FractionNumberFluxDistribution.html#getNumberRate(ch.javasoft.metabolic.Reaction)">getNumberRate</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reaction)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A></CODE></FONT></TD>
<TD><CODE><B>DefaultFluxDistribution.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/DefaultFluxDistribution.html#getNumberRate(ch.javasoft.metabolic.Reaction)">getNumberRate</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reaction)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B>DefaultFluxDistribution.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/DefaultFluxDistribution.html#getRate(ch.javasoft.metabolic.Reaction)">getRate</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reaction)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B>AbstractFluxDistribution.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/AbstractFluxDistribution.html#getRate(ch.javasoft.metabolic.Reaction)">getRate</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reaction)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>StoichMatrixMetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/StoichMatrixMetabolicNetwork.html#getReactionIndex(ch.javasoft.metabolic.Reaction)">getReactionIndex</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;react)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>AbstractFluxDistribution.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/AbstractFluxDistribution.html#getReactionIndex(ch.javasoft.metabolic.Reaction)">getReactionIndex</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reaction)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>StoichMatrixMetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/StoichMatrixMetabolicNetwork.html#hideReaction(ch.javasoft.metabolic.Reaction)">hideReaction</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;react)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>[]</CODE></FONT></TD>
<TD><CODE><B>DefaultMetabolicNetwork.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/DefaultMetabolicNetwork.html#metabolites(ch.javasoft.metabolic.Reaction[])">metabolites</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>[]&nbsp;reactions)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FractionNumberFluxDistribution.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/FractionNumberFluxDistribution.html#setRate(ch.javasoft.metabolic.Reaction, java.lang.Number)">setRate</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reaction,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&nbsp;rate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultFluxDistribution.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/DefaultFluxDistribution.html#setRate(ch.javasoft.metabolic.Reaction, java.lang.Number)">setRate</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reaction,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&nbsp;rate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>AbstractFluxDistribution.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/AbstractFluxDistribution.html#setRate(ch.javasoft.metabolic.Reaction, java.lang.Number)">setRate</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reaction,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&nbsp;rate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultMetabolicNetworkVisitor.</B><B><A HREF="../../../../ch/javasoft/metabolic/impl/DefaultMetabolicNetworkVisitor.html#visitReaction(ch.javasoft.metabolic.Reaction)">visitReaction</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reaction)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../ch/javasoft/metabolic/impl/package-summary.html">ch.javasoft.metabolic.impl</A> with parameters of type <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/metabolic/impl/AbstractNestedReaction.html#AbstractNestedReaction(ch.javasoft.metabolic.Reaction)">AbstractNestedReaction</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;nestedReaction)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/metabolic/impl/DefaultMetabolicNetwork.html#DefaultMetabolicNetwork(ch.javasoft.metabolic.Metabolite[], ch.javasoft.metabolic.Reaction[])">DefaultMetabolicNetwork</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>[]&nbsp;metabolites,
                                               <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>[]&nbsp;reactions)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/metabolic/impl/DefaultMetabolicNetwork.html#DefaultMetabolicNetwork(ch.javasoft.metabolic.Reaction[])">DefaultMetabolicNetwork</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>[]&nbsp;reactions)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/metabolic/impl/NormalizedRatiosReaction.html#NormalizedRatiosReaction(ch.javasoft.metabolic.Reaction)">NormalizedRatiosReaction</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reaction)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructor parameters in <A HREF="../../../../ch/javasoft/metabolic/impl/package-summary.html">ch.javasoft.metabolic.impl</A> with type arguments of type <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/metabolic/impl/DefaultMetabolicNetwork.html#DefaultMetabolicNetwork(ch.javasoft.util.genarr.GenericDynamicArray, ch.javasoft.util.genarr.GenericDynamicArray)">DefaultMetabolicNetwork</A></B>(<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A>&lt;? extends <A HREF="../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>&gt;&nbsp;metabolites,
                                               <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A>&lt;? extends <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;&nbsp;reactions)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/metabolic/impl/DefaultMetabolicNetwork.html#DefaultMetabolicNetwork(java.lang.Iterable, java.lang.Iterable)">DefaultMetabolicNetwork</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends <A HREF="../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>&gt;&nbsp;metabolites,
                                               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;&nbsp;reactions)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.util"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A> in <A HREF="../../../../ch/javasoft/metabolic/util/package-summary.html">ch.javasoft.metabolic.util</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/metabolic/util/package-summary.html">ch.javasoft.metabolic.util</A> with parameters of type <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Output.</B><B><A HREF="../../../../ch/javasoft/metabolic/util/Output.html#printReaction(ch.javasoft.metabolic.Reaction, boolean)">printReaction</A></B>(<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&nbsp;reac,
                           boolean&nbsp;newLineAfterReaction)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Prints reaction name and formula, separated by colon and tab.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Method parameters in <A HREF="../../../../ch/javasoft/metabolic/util/package-summary.html">ch.javasoft.metabolic.util</A> with type arguments of type <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Output.</B><B><A HREF="../../../../ch/javasoft/metabolic/util/Output.html#printReactions(java.util.Collection, boolean, boolean)">printReactions</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>&gt;&nbsp;reactions,
                             boolean&nbsp;sort,
                             boolean&nbsp;newLineAfterReaction)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Prints reaction names and formulas, separated by colon and tab.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/metabolic/class-use/Reaction.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Reaction.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
